Package org.jfree.layouting.input.style

## Class CSSCharsetRule

- java.lang.Object
- - org.jfree.layouting.input.style.StyleRule
  - - org.jfree.layouting.input.style.CSSCharsetRule

-     public class CSSCharsetRule
      extends StyleRule

  Creation-Date: 23.11.2005, 11:08:59
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CSSCharsetRule​(StyleSheet parentStyle, StyleRule parentRule)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getCharset​()` |
    `void` | `setCharset​(java.lang.String charset)` |

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from class org.jfree.layouting.input.style.StyleRule

      `clone, getParentRule, getParentStyle, getStyleKeyRegistry, isReadOnly, makeReadOnly, setParentRule, setParentStyle`

- - ### Constructor Detail

    - #### CSSCharsetRule

          public CSSCharsetRule​(StyleSheet parentStyle,
                                StyleRule parentRule)

  - ### Method Detail

    - #### getCharset

          public java.lang.String getCharset​()

    - #### setCharset

          public void setCharset​(java.lang.String charset)